Name:		elograf
Summary:	Tool for control of nerd-dictation
Version:	0.5.8
Release:	%mkrel 2
Source0:	https://github.com/papoteur-mga/elograf/archive/%{version}.tar.gz
URL:		https://github.com/papoteur-mga/elograf
Group:		Accessibility
License:	GPLv3
BuildArch:	noarch
BuildRequires: python3-qt5-devel
BuildRequires: pyproject-rpm-macros
BuildRequires: qttools5
Requires:	python3-qt5-core
Requires:	python3-qt5-gui
Requires:	python3-qt5-widgets
Requires:	python3-ujson
Requires:	nerd-dictation

%description
Elograf provides commands in systray and a configuration dialog for choosing
the model for nerd-dictation.
nerd-dictation is an offline Speech to Text for Desktop, using Vosk-api. 

%prep
%autosetup -n %{name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files eloGraf

%files -f %{pyproject_files}
%doc /usr/share/doc/elograf/README
%license /usr/share/doc/elograf/LICENSE
%{_bindir}/%{name}
%{_datadir}/icons/hicolor/scalable/apps/*
%{_datadir}/applications/elograf.desktop


%changelog
* Sun Jan 14 2024 papoteur <papoteur> 0.5.8-2.mga10
+ Revision: 2031153
- rebuild for python 3.12

* Wed Dec 06 2023 papoteur <papoteur> 0.5.8-1.mga10
+ Revision: 2013560
- new 0.5.8

* Mon Dec 04 2023 papoteur <papoteur> 0.5.7-1.mga10
+ Revision: 2012950
- new 0.5.7

* Fri Nov 24 2023 papoteur <papoteur> 0.5.6-1.mga10
+ Revision: 2009473
- new 0.5.6
- fix usage of dotool

* Sat Nov 04 2023 papoteur <papoteur> 0.5.5-1.mga10
+ Revision: 2003962
- new 0.5.5 (mga#32471)

* Tue Oct 31 2023 papoteur <papoteur> 0.5.4-1.mga10
+ Revision: 2003065
- new 0.5.4

* Fri Nov 11 2022 papoteur <papoteur> 0.5.3-1.mga9
+ Revision: 1905498
- new 0.5.3

* Mon Nov 07 2022 papoteur <papoteur> 0.5.2-1.mga9
+ Revision: 1904414
- new 0.5.2

* Wed Nov 02 2022 papoteur <papoteur> 0.5.1-2.mga9
+ Revision: 1901513
- Add BR for building translation files

* Wed Nov 02 2022 papoteur <papoteur> 0.5.1-1.mga9
+ Revision: 1901484
- new 0.5.1

* Mon Oct 03 2022 papoteur <papoteur> 0.4.2-2.mga9
+ Revision: 1894185
- Fix requires adding ujson

* Sun Oct 02 2022 papoteur <papoteur> 0.4.2-1.mga9
+ Revision: 1893793
- new 0.4.2
- new 0.4.2

* Fri Sep 23 2022 papoteur <papoteur> 0.4.1-1.mga9
+ Revision: 1891732
- imported package elograf

